GNU Emacs 29.1 Released! How to Install in Ubuntu 22.04 via PPA

GNU Emacs text editor released version 29.1 few days ago. Here’s how to install it in current Ubuntu releases.

According to the release note. Emacs 29.1 features:

  • Supports “pure GTK” (PGTK) build
  • Uses XInput 2 on X for input events
  • Uses tree-sitter parsers for several programming modes
  • Includes LSP client called Eglot
  • Includes the use-package package
  • Can access SQLite databases using sqlite3 library
  • Can display WebP images using libwebp library
  • Faster editing of files with very long lines
  • Better support for drag-and-drop on X
  • Pixel-precise scrolling with touchpad support
  • Enhanced support for editing and displaying Emoji
  • Support for Unicode 15.0 and many new scripts
  • Many enhancements of help and completion commands
  • Numerous enhancements to Image Dired
  • Double-buffering on MS-Windows

How to install Emacs 29.1 in Ubuntu:

GNU Emacs editor is easy to install in Ubuntu Linux with few different ways. Choose any one that you prefer!

Option 1: Snap package

For Ubuntu 20.04, Ubuntu 22.04 and higher, simply launch Ubuntu Software, then search and install GNU Emacs from Snap Store. Though, it’s a Snap package runs in sandbox.

Option 2: Ubuntu PPA

For those prefer the classic .deb package format, Debian upstream has built the new release package. And, I backported it into this PPA with support for for Ubuntu 22.04, Ubuntu 20.04 and Ubuntu 23.04.

NOTE: The PPA package is just no-change backport without testing! It may or may not work in your case!

First, press Ctrl+Alt+T on keyboard to open terminal. When it opens, run command to add the PPA:

sudo add-apt-repository ppa:ubuntuhandbook1/emacs

Type user password (no asterisk feedback) when it asks and hit Enter to continue.

Then, either open Software Updater (Update Manager) to upgrade the package if an old version was installed.

Or, run the command below instead to install/update the Emacs package:

sudo apt install emacs emacs-common

Linux Mint user needs to run sudo apt update first to manually refresh package cache.

Option 3: Flatpak package

Emacs is also available to install as Flatpak package. Though, at the moment of writing, the package is still at v28.2. Check it HERE.

Uninstall Emacs 29.1

For the snap package, also use Ubuntu Software to remove it. Or, run command in terminal:

sudo snap remove --purge emacs

For the package installed from Ubuntu PPA, open terminal (Ctrl+Alt+T) and run command:

  • purge the PPA as well as downgrade Emacs to stock version:
    sudo apt install ppa-purge && sudo ppa-purge ppa:ubuntuhandbook1/emacs
  • Or, simply remove Emacs by running command:
    sudo apt remove --autoremove emacs emacs-common

    As well, remove the PPA either from “Software & Updates -> Other Software” or by running command:

    sudo add-apt-repository --remove ppa:ubuntuhandbook1/emacs